## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-userpath
Version:        1.9.1
Release:        %autorelease
Summary:        Cross-platform tool for adding locations to the user PATH

# SPDX
License:        MIT
URL:            https://github.com/ofek/userpath
Source0:        %{pypi_source userpath}

# Man pages in groff_man(7) format hand-written for Fedora based on --help
# output.
Source10:       userpath.1
Source11:       userpath-append.1
Source12:       userpath-prepend.1
Source13:       userpath-verify.1

BuildArch:      noarch

BuildRequires:  python3-devel

%global common_description %{expand:
Cross-platform tool for adding locations to the user PATH, no elevated
privileges required!}

%description %common_description


%package -n     python3-userpath
Summary:        %{summary}

%description -n python3-userpath %common_description


%prep
%autosetup -n userpath-%{version}

# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters
sed -r '/^(coverage)$/d' requirements-dev.txt |
  tee requirements-dev.filtered.txt


%generate_buildrequires
%pyproject_buildrequires requirements-dev.filtered.txt


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files userpath

install -t '%{buildroot}%{_mandir}/man1' -p -m 0644 -D \
    '%{SOURCE10}' '%{SOURCE11}' '%{SOURCE12}' '%{SOURCE13}'


%check
# We use pytest directly, since the only contribution of the tox configuration
# is adding coverage analysis—which we do not want.
%pytest


%files -n python3-userpath -f %{pyproject_files}
%doc HISTORY.rst
%doc README.md

%{_bindir}/userpath
%{_mandir}/man1/userpath*.1*


%changelog
* Fri Sep 08 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.9.1-1
- Update to 1.9.1 (close RHBZ#2237836)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 18 2023 Lumir Balhar <lbalhar@redhat.com> - 1.9.0-1
- Update to 1.9.0 (rhbz#2223470)

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 1.8.0-15
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Dec 10 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.8.0-13
- pyproject_files now handles the LICENSE.txt file

* Sat Dec 10 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.8.0-12
- Output the filtered requirements during the build

* Sat Dec 10 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.8.0-11
- We can rely on pyproject-rpm-macros >= 1.2.0 now

* Mon Nov 28 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.8.0-10
- Confirm License is SPDX MIT

* Sun Sep 11 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.8.0-9
- Use hatchling’s new “prepare_metadata_…” hook support for BR’s

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 07 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.8.0-7
- Fix extra newline in description

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.8.0-6
- Rebuilt for Python 3.11

* Fri May 06 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.8.0-5
- Use wheel-building support to generate BR’s

* Sat Apr 30 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.8.0-4
- Adjust for pyproject-rpm-macros >= 1.1.0

* Sat Apr 23 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.8.0-3
- Further improved hatchling helper script

* Sat Apr 23 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.8.0-2
- Improved hatchling workaround script

* Tue Feb 22 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.8.0-1
- Update to 1.8.0 (fix RHBZ#2048296); license change

* Tue Feb 22 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.7.0-6
- Add man pages

* Mon Feb 14 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.7.0-5
- Add HISTORY.rst to documentation

* Mon Feb 14 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.7.0-4
- Port to pyproject-rpm-macros

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Jul 25 2021 Lumír Balhar <lbalhar@redhat.com> - 1.7.0-1
- Update to 1.7.0
Resolves: rhbz#1985646

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.6.0-2
- Rebuilt for Python 3.10

* Mon May 31 2021 Lumír Balhar <lbalhar@redhat.com> - 1.6.0-1
- Update to 1.6.0
Resolves: rhbz#1965766

* Mon May 10 2021 Lumír Balhar <lbalhar@redhat.com> - 1.5.0-1
- Update to 1.5.0
  Resolves: rhbz#1958519

* Thu Feb 18 2021 Lumír Balhar <lbalhar@redhat.com> - 1.4.2-3
- No longer provide the old package name

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jan 18 2021 Lumír Balhar <lbalhar@redhat.com> - 1.4.2-1
- Update to 1.4.2 (#1917150)

* Tue Aug 04 2020 Lumír Balhar <lbalhar@redhat.com> - 1.4.1-4
- Fix FTBFS — remove unversioned python macro

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 01 2020 Charalampos Stratakis <cstratak@redhat.com> - 1.4.1-1
- Update to 1.4.1 (#1851126)

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 1.4.0-2
- Rebuilt for Python 3.9

* Mon May 11 2020 Lumír Balhar <lbalhar@redhat.com> - 1.4.0-1
- Update to 1.4.0 (#1833676)

* Sat Feb 08 2020 Lumír Balhar <lbalhar@redhat.com> - 1.3.0-3
- Provide more variants of the old package name

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Oct 30 2019 Lumír Balhar <lbalhar@redhat.com> - 1.3.0-1
- Initial package.
- Replacement for python-adduserpath

